public inbox for devel@edk2.groups.io
 help / color / mirror / Atom feed
* [edk2-devel] [PATCH] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU"
@ 2023-08-24  4:45 Mike Beaton
  2023-08-24  4:58 ` Mike Beaton
  2023-09-05  7:20 ` Ard Biesheuvel
  0 siblings, 2 replies; 4+ messages in thread
From: Mike Beaton @ 2023-08-24  4:45 UTC (permalink / raw)
  To: devel

This reverts commit 173a7a7daaad560cd69e1000faca1d2b91774c46.

Fixes https://bugzilla.tianocore.org/show_bug.cgi?id=4528

Signed-off-by: Mike Beaton <mjsbeaton@gmail.com>
---
OvmfPkg/build.sh | 13 ++++++++-----
1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/OvmfPkg/build.sh b/OvmfPkg/build.sh
index b0334fb76e..91b1442ade 100755
--- a/OvmfPkg/build.sh
+++ b/OvmfPkg/build.sh
@@ -245,11 +245,6 @@ else
echo using prebuilt tools
fi
-#
-# Build the edk2 OvmfPkg
-#
-echo Running edk2 build for OvmfPkg$Processor
-build -p $PLATFORMFILE $BUILD_OPTIONS -b $BUILDTARGET -t
$TARGET_TOOLS -n $THREADNUMBER -DDEBUG_ON_SERIAL_PORT=TRUE
if [[ "$RUN_QEMU" == "yes" ]]; then
if [[ ! -d $QEMU_FIRMWARE_DIR ]]; then
@@ -265,3 +260,11 @@ if [[ "$RUN_QEMU" == "yes" ]]; then
$QEMU_COMMAND "$@"
exit $?
fi
+
+#
+# Build the edk2 OvmfPkg
+#
+echo Running edk2 build for OvmfPkg$Processor
+build -p $PLATFORMFILE $BUILD_OPTIONS -b $BUILDTARGET -t
$TARGET_TOOLS -n $THREADNUMBER
+exit $?
+
-- 
2.37.5


-=-=-=-=-=-=-=-=-=-=-=-
Groups.io Links: You receive all messages sent to this group.
View/Reply Online (#107993): https://edk2.groups.io/g/devel/message/107993
Mute This Topic: https://groups.io/mt/100930099/7686176
Group Owner: devel+owner@edk2.groups.io
Unsubscribe: https://edk2.groups.io/g/devel/unsub [rebecca@openfw.io]
-=-=-=-=-=-=-=-=-=-=-=-



^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2023-09-05  7:20 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-08-24  4:45 [edk2-devel] [PATCH] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU" Mike Beaton
2023-08-24  4:58 ` Mike Beaton
2023-08-27 18:47   ` Mike Beaton
2023-09-05  7:20 ` Ard Biesheuvel

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox